%define upstream_name    Test-Roo
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Test::Roo examples
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(strictures)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module allows you to compose the Test::More manpage tests from roles.
It is inspired by the excellent the Test::Routine manpage module, but uses
the Moo manpage instead of the Moose manpage. This gives most of the
benefits without the need for the Moose manpage as a test dependency.

Test files are Moo classes. You can define any needed test fixtures as Moo
attributes. You define tests as method modifiers -- similar in concept to
'subtest' in the Test::More manpage, but your test method will be passed
the test object for access to fixture attributes. You may compose any the
Moo::Role manpage into your test to define attributes, require particular
methods, or define tests.

This means that you can isolate test _behaviors_ into roles which require
certain test _fixtures_ in order to run. Your main test file will provide
the fixtures and compose the roles to run. This makes it easy to reuse test
behaviors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.4.0-6pclos2017
- rebuild against updates

